Status: Closed Priority: Should have
Author: Stefan Neufeind Category: Install Tool
TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject:

dbal used on clean install using mysq|l

Description

Minimal install from source + dummy with TYPO3 6.0 and using 1-2-3-installer.

DBAL was automatically activated. Could it be that's in the defaults now? Or activated during installation and not disabled again

although mysql (native) is used?

This should not cause problems (well, it caused me to find #43470) but is not really useful performancewise.

Related issues:

related to Core - Bug # 50752: DBAL needs migration MySQL to MySQLi as well
related to Core - Bug # 53997: 123 Installer tries to find database before th...

Resolved 2013-08-03
Closed 2013-11-27

History

#1 - 2012-11-30 10:09 - Nicole Cordes

Dbal is enabled during installation process (123 mode) and automatically disabled if the installation process is finished and a MySQL database is

used. If you step out the 123 mode you have to take care about uninstall adodb and dbal on your own.

#2 - 2012-11-30 10:10 - Jigal van Hemert
- Status changed from New to Needs Feedback

#3 - 2012-11-30 10:18 - Ernesto Baschny
- Category set to Install Tool

Stefan, | could not reproduce that either.

Neither the Intro Package nor the Dummy package kept the DBAL activated after going through all the steps.

Actually step 1 activates dbal. Step 2 (in the URL "?TYPO3_INSTALL[type]=config&mode=123&step=3") will deactivate it again after you have chosen

MySQL as a driver.

Please follow the steps again, note the corresponding URLs (step=x) and check LocalConfiguration.php after each step so that we can see what is

happening in your installation.

Which of these PHP modules do you have loaded?

- odbc
- pdo

- oci8

#4 - 2012-12-02 19:21 - Stefan Neufeind

Hmm, I've tried various ways but also can't make it happen again. Weird.
| can confirm that upon step=3 in the URL (123 says it's actually step 2) dbal was disabled because mysql was chosen.

Of the above mentioned modules only pdo is installed.

I'd suggest, unfortunately, we close this as "unable to reproduce".

#5 - 2012-12-06 16:19 - Stefan Neufeind

I've experienced the same thing again, now on Windows on a clean Xampp test-installation. However I'm still unsure how to make it reproducable

though :-(

#6 - 2013-07-08 09:24 - Alexander Opitz

Did it happen again with 6.1?

For 6.2 the installer was rewritten.

#7 - 2013-07-08 09:39 - Stefan Neufeind

Can't really tell. Haven't done many 6.1-installs lately. Sorry :-)

#8 - 2013-07-11 12:17 - Alexander Opitz
- Status changed from Needs Feedback to Closed

So | close this issue for now.

Stefan you can reopen this issue, if you get into this issue again. :-)

#9 - 2013-10-30 15:09 - David Voigt

Yes, apparently, it happens with TYPO3 6.1

I moved a TYPOS installation from a local Debian Wheezy to a Strato server. Now | can't access some pages of the install tool. DB information is

correct.

For example:
http://test.mydomain.com/typo3/install/index.php?TYPO3 INSTALL[type]=config

Error Message:

TYPOS Fatal Error: The current username, password or host was not accepted when the connection to the database was attempted to be established!

Details:
PHP Version 5.5.1
http://test.mydomain.com/typo3/install/index.php?TYPO3_INSTALL[type]=config

MySQL Client API version 5.0.91
mysqli Client AP library version 5.0.91

Edit: made one mistake. The DB password was wrong ;) however, the system's behaviour is still puzzling, because why does the part of the install
tool, where | can reset the password, throw an error when | select it in order to change the password?

Anyways, thanks.

#10 - 2013-10-30 15:15 - Stefan Neufeind
- Is Regression set to No

Could it be you're experiencing a problem with DBAL and MySQL (not MySQLi)? See #50752 ... DBAL needs some mysqli-related changes. Please
comment over in that forge-ticket if the fix might help you.
